com.buschmais.jqassistant.plugin.javaee6.impl.scanner

## Class AbstractWarResourceScannerPlugin<R extends com.buschmais.jqassistant.plugin.common.api.scanner.filesystem.Resource,D extends com.buschmais.jqassistant.core.store.api.model.Descriptor>

- java.lang.Object
- - com.buschmais.jqassistant.plugin.common.api.scanner.AbstractScannerPlugin<I,D>
  - - com.buschmais.jqassistant.plugin.common.api.scanner.AbstractResourceScannerPlugin<R,D>
    - - com.buschmais.jqassistant.plugin.javaee6.impl.scanner.AbstractWarResourceScannerPlugin<R,D>

- All Implemented Interfaces:
    com.buschmais.jqassistant.core.scanner.api.ScannerPlugin<R,D>
  Direct Known Subclasses:
    WarClassesScannerPlugin, WebXmlScannerPlugin

      public abstract class AbstractWarResourceScannerPlugin<R extends com.buschmais.jqassistant.plugin.common.api.scanner.filesystem.Resource,D extends com.buschmais.jqassistant.core.store.api.model.Descriptor>
      extends com.buschmais.jqassistant.plugin.common.api.scanner.AbstractResourceScannerPlugin<R,D>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.buschmais.jqassistant.core.scanner.api.ScannerPlugin

      `com.buschmais.jqassistant.core.scanner.api.ScannerPlugin.Requires`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractWarResourceScannerPlugin()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<? extends D>` | `getDescriptorType()`
    `Class<? extends R>` | `getType()`
    `protected abstract D` | `scan(R item, String path, com.buschmais.jqassistant.plugin.java.api.model.JavaClassesDirectoryDescriptor classesDirectory, com.buschmais.jqassistant.core.scanner.api.Scanner scanner)`
    `D` | `scan(R item, String path, com.buschmais.jqassistant.core.scanner.api.Scope scope, com.buschmais.jqassistant.core.scanner.api.Scanner scanner)`

    - ### Methods inherited from class com.buschmais.jqassistant.plugin.common.api.scanner.AbstractResourceScannerPlugin

      `slashify, toFileDescriptor`

    - ### Methods inherited from class com.buschmais.jqassistant.plugin.common.api.scanner.AbstractScannerPlugin

      `getDirectoryPath, getProperties, getProperty, getStringProperty, getTypeParameter, initialize, initialize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.buschmais.jqassistant.core.scanner.api.ScannerPlugin

      `accepts`

- - ### Constructor Detail

    - #### AbstractWarResourceScannerPlugin

          public AbstractWarResourceScannerPlugin()

  - ### Method Detail

    - #### getType

          public Class<? extends R> getType()

      Specified by:
        `getType` in interface `com.buschmais.jqassistant.core.scanner.api.ScannerPlugin<R extends com.buschmais.jqassistant.plugin.common.api.scanner.filesystem.Resource,D extends com.buschmais.jqassistant.core.store.api.model.Descriptor>`
      Overrides:
        `getType` in class `com.buschmais.jqassistant.plugin.common.api.scanner.AbstractResourceScannerPlugin<R extends com.buschmais.jqassistant.plugin.common.api.scanner.filesystem.Resource,D extends com.buschmais.jqassistant.core.store.api.model.Descriptor>`

    - #### getDescriptorType

          public Class<? extends D> getDescriptorType()

      Specified by:
        `getDescriptorType` in interface `com.buschmais.jqassistant.core.scanner.api.ScannerPlugin<R extends com.buschmais.jqassistant.plugin.common.api.scanner.filesystem.Resource,D extends com.buschmais.jqassistant.core.store.api.model.Descriptor>`
      Overrides:
        `getDescriptorType` in class `com.buschmais.jqassistant.plugin.common.api.scanner.AbstractResourceScannerPlugin<R extends com.buschmais.jqassistant.plugin.common.api.scanner.filesystem.Resource,D extends com.buschmais.jqassistant.core.store.api.model.Descriptor>`

    - #### scan

          public D scan(R item,
                        String path,
                        com.buschmais.jqassistant.core.scanner.api.Scope scope,
                        com.buschmais.jqassistant.core.scanner.api.Scanner scanner)
                 throws IOException

      Throws:
        `IOException`

    - #### scan

          protected abstract D scan(R item,
                                    String path,
                                    com.buschmais.jqassistant.plugin.java.api.model.JavaClassesDirectoryDescriptor classesDirectory,
                                    com.buschmais.jqassistant.core.scanner.api.Scanner scanner)
                             throws IOException

      Throws:
        `IOException`

Copyright © 2015 buschmais GbR. All rights reserved.